libpgplot-perl (1:2.35-1) unstable; urgency=medium

  * Import upstream version 2.35.
  * c23.patch: new: fix build failures with gcc-15. (Closes: #1097250)
  * Declare compliance with Debian Policy 4.7.1.

 -- Étienne Mollier <emollier@debian.org>  Tue, 25 Feb 2025 22:09:27 +0100

libpgplot-perl (1:2.33-1) unstable; urgency=medium

  * Import upstream version 2.33.
  * d/libpgplot-perl.examples: new: install example scripts.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 19:13:40 +0200

libpgplot-perl (1:2.30-1) unstable; urgency=medium

  * Import upstream version 2.30.
  * disable-interactive-tests.patch: unfuzz.

 -- Étienne Mollier <emollier@debian.org>  Fri, 09 Aug 2024 10:31:15 +0200

libpgplot-perl (1:2.29-1) unstable; urgency=medium

  * Import upstream version 2.29.
  * Declare compliance with Debian Policy 4.7.0.
  * typo.patch: delete: applied upstream.
  * d/control: add myself to uploaders.
  * d/control: libpgplot-perl recommends pdl.

 -- Étienne Mollier <emollier@debian.org>  Tue, 21 May 2024 19:19:37 +0200

libpgplot-perl (1:2.28-1) unstable; urgency=medium

  * Team upload.
  * Import upstream version 2.28.  (Closes: #986147)
  * Declare compliance with Debian Policy 4.6.1.
  * typo.patch: fix typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Tue, 26 Jul 2022 21:30:26 +0200

libpgplot-perl (1:2.27-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update standards version to 4.4.1, no changes needed.

  [ gregor herrmann ]
  * debian/control: update Build-Depends for cross builds.
  * Declare compliance with Debian Policy 4.5.0.
  * Set Rules-Requires-Root: no.
  * Bump debhelper-compat to 13.
  * Remove check for DEB_BUILD_OPTIONS=nocheck from debian/rules.
    debhelper 13 does this for us.
  * Update 'DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow' to '=+all'.

  [ Debian Janitor ]
  * Update standards version to 4.5.1, no changes needed.

  [ gregor herrmann ]
  * Import upstream version 2.27.
  * Update debian/tests/pkg-perl/smoke-files.
    Tests have been moved to the default t/ directory.
  * Add build dependency on libdevel-checklib-perl.
  * Declare compliance with Debian Policy 4.6.0.
  * Drop unneeded version constraints from (build) dependencies.
  * Refresh useless_dependency.patch (offset).
  * Update test-pgplot5-version.patch (changed file).
  * Update disable-interactive-tests.patch (changed files).
  * Drop re-enable-tests.patch, not applicable anymore.
  * Update years of packaging copyright.

 -- gregor herrmann <gregoa@debian.org>  Sun, 21 Nov 2021 18:37:54 +0100

libpgplot-perl (1:2.24-1) unstable; urgency=medium

  * Import upstream version 2.24.
  * Refresh useless_dependency.patch (offset).
  * Drop spelling.patch (applied upstream).
  * Update years of packaging copyright.
  * Add debian/upstream/metadata.
  * debian/copyright: update Upstream-Contact.
  * Annotate test-only build dependencies with <!nocheck>.
  * Declare compliance with Debian Policy 4.4.0.
  * Bump debhelper-compat to 12.
  * debian/watch: use uscan version 4.
  * Add patch re-enable-tests.patch to run tests even without a terminal.
  * debian/rules: honour DEB_BUILD_OPTIONS=nocheck.
  * Update build dependencies.

 -- gregor herrmann <gregoa@debian.org>  Fri, 19 Jul 2019 11:42:41 -0300

libpgplot-perl (1:2.21-8) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ gregor herrmann ]
  * Add patch to disable interactive tests. (Closes: #914288)
  * Update years of packaging copyright.
  * Declare compliance with Debian Policy 4.2.1.
  * Bump debhelper compatibility level to 10.
  * Remove trailing whitespace from debian/*.

 -- gregor herrmann <gregoa@debian.org>  Wed, 21 Nov 2018 18:52:22 +0100

libpgplot-perl (1:2.21-7) unstable; urgency=medium

  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Remove Carlo Segre from Uploaders. Thanks for your work!
  * Build-Depend on giza-dev instead of pgplot5. (Closes: #869135)
  * Remove chrpath from debian/{control,rules}.
    Not needed anymore with the giza library.
  * Move from contrib to main as a result of switching to a free
    dependency. Also drop XS-Autobuild from debian/control.
  * Add debian/tests/pkg-perl/smoke-files to get all files needed for
    autopkgtest's smoke test.
  * Enable tests during build.
  * Update years of packaging copyright.
  * Add a patch to disable a version check in test12.
    The check referred to the version of pgplot but we are using giza.
    Thanks to Ole Streicher for the patch.
  * Declare compliance with Debian Policy 4.0.0.

 -- gregor herrmann <gregoa@debian.org>  Sun, 23 Jul 2017 01:18:12 +0200

libpgplot-perl (1:2.21-6) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Ack NMU, thanks Tobi.
  * Update years of packaging copyright.
  * Add bindnow linker flag.
  * Declare compliance with Debian Policy 3.9.8.
  * Manually build and upload amd64 + i386 binaries.
    Closes: #808331

 -- gregor herrmann <gregoa@debian.org>  Sun, 10 Apr 2016 15:56:58 +0200

libpgplot-perl (1:2.21-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change B-D from libpng12-dev to libpng-dev (Closes: #809864)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 08:36:24 +0200

libpgplot-perl (1:2.21-5) unstable; urgency=medium

  * Team upload
    + rebuild with perl 5.20

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

 -- Damyan Ivanov <dmn@debian.org>  Tue, 19 Aug 2014 08:12:14 +0000

libpgplot-perl (1:2.21-4) unstable; urgency=low

  * Team upload

  [ gregor herrmann ]
  * debian/copyright: update wording of Comment about copyright
    ownership.
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ Axel Beckert ]
  * debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
    copyright"

  [ Florian Schlichting ]
  * Switch dh compatibility to level 9 to enable passing of hardening flags
  * Declare compliance with Debian Policy 3.9.5
  * Expand long description
  * Do not link against unused libraries

 -- Florian Schlichting <fsfs@debian.org>  Thu, 24 Apr 2014 18:36:17 +0200

libpgplot-perl (1:2.21-3) unstable; urgency=low

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * debian/copyright: Replace DEP5 Format-Specification URL from
    svn.debian.org to anonscm.debian.org URL.

  [ gregor herrmann ]
  * Spelling patch: forward and update DEP3 headers.

  [ Carlo Segre ]
  * Rebuild with perl 5.14

 -- Carlo Segre <segre@debian.org>  Thu, 29 Dec 2011 19:39:42 -0600

libpgplot-perl (1:2.21-2) unstable; urgency=low

  * Add dependency on chrpath to remove RPATH from PGPLOT.so
  * Add XS-Autobuild: yes field in hope that non-free autobuilders
    will permit this package to be built.
  * Rebuild with perl 5.12

 -- Carlo Segre <segre@debian.org>  Sun, 12 Jun 2011 17:00:15 -0500

libpgplot-perl (1:2.21-1) unstable; urgency=low

  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza). Removed: XS-Vcs-Svn fields (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.
  * debian/watch: use dist-based URL.
  * debian/control: fix dependency on pgplot5.
  * Remove Conflicts:/Replaces: pgperl.

  * New upstream release.
  * Switch to source format 3.0 (quilt).
  * Use tiny dh debian/rules file.
  * Bump debhelper compatibility level to 8.
  * Remove versions from build dependencies that are already satisfied in
    oldstable.
  * debian/copyright: use DEP5 format, point to -GPL-1.
  * Set Standards-Version to 3.9.2 (no further changes).
  * Add /me to Uploaders.
  * Add a patch to fix a spelling mistake.

 -- gregor herrmann <gregoa@debian.org>  Sun, 24 Apr 2011 19:06:38 +0200

libpgplot-perl (1:2.20-1) unstable; urgency=low

  * New upstream release.
  * Reinsert into archive (Closes: #441034).
  * New maintainer - Debian Perl Group.
  * Rename to fit perl naming conventions, changing sections too.
  * Clean up debian/rules file a bit.
  * Fix debian/copyright to include upstream information.
  * Upgrade Standards-Version to 3.8.0

 -- Carlo Segre <segre@debian.org>  Sun, 01 Feb 2009 15:36:49 -0600

pgperl (1:2.18-5) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Thu,  3 Mar 2005 13:36:34 +1100

pgperl (1:2.18-4.1) unstable; urgency=low

  * Non-maintainer upload: I uploaded an unrelated source package that was
    also called pgperl (perl backend for PostgreSQL), which overwrote your
    package. Sorry for that! I renamed my source package and do this upload to
    restore your package. I did not change anything apart from the version
    number.

 -- Martin Pitt <mpitt@debian.org>  Wed, 11 Feb 2004 09:33:44 +0100

pgperl (2.18-4) unstable; urgency=low

  * Merge NMU into CVS repository,
  Closes: #158965
  * Add -lpng et al to library list as pgplot now produces png images,
  Closes: #159229

 -- Stephen Zander <gibreel@debian.org>  Tue,  3 Sep 2002 09:32:18 -0700

pgperl (2.18-3.1) unstable; urgency=low

  * NMU: Rebuilt against perl 5.8.

 -- Ben Burton <benb@acm.org>  Sat, 31 Aug 2002 11:15:24 +1000

pgperl (2.18-3) unstable; urgency=high

  * Rebuild against latest pgplot5 and add versioned build dependency to
    package,
  Closes: #109543, #112596

 -- Stephen Zander <gibreel@debian.org>  Sat, 16 Feb 2002 11:37:52 -0800

pgperl (2.18-2) unstable; urgency=medium

  * Fixed missing build dependency, Closes: #99101

 -- Stephen Zander <gibreel@debian.org>  Fri,  1 Jun 2001 14:29:13 -0700

pgperl (2.18-1) unstable; urgency=low

  * New upstream source.
  * Updated for policy 3.5.1 and the new perl packaging policy,
    Closes: #80701, #83671

 -- Stephen Zander <gibreel@debian.org>  Sun,  4 Mar 2001 17:11:17 -0800

pgperl (2.17-1) unstable; urgency=low

  * New upstream source

 -- Stephen Zander <gibreel@debian.org>  Wed, 20 Sep 2000 21:41:39 -0700

pgperl (2.16-1) unstable; urgency=low

  * New upstream source.

 -- Stephen Zander <gibreel@debian.org>  Tue, 18 Apr 2000 22:43:23 -0700

pgperl (2.15-2) frozen unstable; urgency=low

  * Recompile to fix X library dependancy, closes #57228

 -- Stephen Zander <gibreel@debian.org>  Sat, 12 Feb 2000 22:43:34 -0800

pgperl (2.15-1) unstable; urgency=low

  * New maintainer.
  * New version.
  * Changed build to non-native package, Closes: #44321

 -- Stephen Zander <gibreel@debian.org>  Thu,  4 Nov 1999 23:17:51 -0800

pgperl (2.08-9) unstable; urgency=low

  * rebuild for perl 5.005

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  1 Jul 1999 19:03:41 -0700

pgperl (2.08-8) unstable; urgency=low

  *  Fixed i386-centrisms
  *  cleanup rules a bit

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed,  7 Oct 1998 01:16:36 -0700

pgperl (2.08-7) unstable; urgency=low

  *  Fixed misloading due to compiler problem

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 14 Aug 1998 19:00:15 -0700

pgperl (2.08-6) unstable; urgency=low

  *  fixed several lintian bugs, perms, description violations

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue,  4 Aug 1998 15:55:44 -0700

pgperl (2.08-5) contrib; urgency=low

  *  added pgplot to Dependencies

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 28 Jul 1998 01:25:39 -0700

pgperl (2.08-4) contrib; urgency=low

  * fixed i-386 to any
  * removed package name from description body

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 23 Mar 1998 18:03:01 -0700

pgperl (2.08-3) contrib; urgency=low

  * removed perllocal.pod; only for local build

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 23 Jan 1998 22:08:53 -0700

pgperl (2.08-2) contrib; urgency=low

  * existed a debstd bug; upgraded debstd and repackaged.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 23 Jan 1998 21:09:05 -0700

pgperl (2.08-1) contrib; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 17 Jan 1998 19:27:22 -0700
